On Jan 22, 2007, at 24:24, lijie wrote:
> 2007/1/22, Eric Hodel <drbrain / segment7.net>:
>> If you hit ^C, what is the backtrace?
>
> --- output ---
>  Successfully built RubyGem
>  Name: sources
>  Version: 0.0.1
>  File: sources-0.0.1.gem
> --- Ctrl + C ----
> /usr/lib/ruby/site_ruby/1.8/rubygems/package.rb:127:in  
> `initialize': Interrupt
>        from /usr/lib/ruby/site_ruby/1.8/rubygems/package.rb:127:in  
> `each'
>        from /usr/lib/ruby/site_ruby/1.8/rubygems/package.rb:127:in
> `initialize'        from
> /usr/lib/ruby/site_ruby/1.8/rubygems/package.rb:109:in `new'
>        from /usr/lib/ruby/site_ruby/1.8/rubygems/package.rb:109:in
> `new_from_stream'
>        from /usr/lib/ruby/site_ruby/1.8/rubygems/package.rb:441:in
> `each_entry'        from
> /usr/lib/ruby/site_ruby/1.8/rubygems/package.rb:439:in `loop'
>        from /usr/lib/ruby/site_ruby/1.8/rubygems/package.rb:439:in
> `each_entry'        from
> /usr/lib/ruby/site_ruby/1.8/rubygems/package.rb:424:in `each'
>         ... 14 levels...
>        from setup.rb:887:in `exec_install'
>        from setup.rb:705:in `invoke'
>        from setup.rb:674:in `invoke'
>        from setup.rb:1352
>
>
> I have tested rubygems-0.8.11, 0.9.0 and 0.9.1.

Did you have a RubyGems already installed before starting the upgrade?

Could you try removing /usr/lib/ruby/site_ruby/1.8/rubygems and re- 
running setup?

None of those lines match up with 0.9.1's package.rb.

-- 
Eric Hodel - drbrain / segment7.net - http://blog.segment7.net

I LIT YOUR GEM ON FIRE!